/**
  *  \file client/dialogs/hullsel.h
  */
#ifndef PCC_V2_CLIENT_DIALOGS_HULLSEL_H
#define PCC_V2_CLIENT_DIALOGS_HULLSEL_H

#include "ui/listbox.h"
#include "ui/widgets/button.h"
#include "ui/widgets/statictext.h"

class WHullSelectionDialog {
 public:
    WHullSelectionDialog();

    bool run(string_t title, string_t help, int& current);

 private:
    int m_raceLimit;
    bool m_sorted;
    UIStringList m_data;
    UIStandardListbox m_list;
    UIButton m_filterButton;
    UIStaticText m_filterText;

    void onMenuButton();
    void onMenuClick();
    void doMenu(UIBaseWidget& refWidget);
    void buildContent();
};

#endif
